<template>
  <main class="catalog">
    <b-container>
      <b-row>
        <b-col lg="4">
          <Editor />
        </b-col>
        <b-col lg="8">
          <b-row align-h="end">
            <b-col lg="5" class="mb-4">
              <b-form-select
                v-model="selected"
                :options="sorts"
              ></b-form-select>
            </b-col>
          </b-row>
          <Products :sort="selected" />
        </b-col>
      </b-row>
    </b-container>
  </main>
</template>

<script>
export default {
  name: "IndexPage",
  data() {
    return {
      sorts: [
        { value: null, text: "По умолчанию" },
        { value: "asc", text: "По цене min" },
        { value: "desc", text: "По цене max" },
        { value: "name", text: "По наименованию." },
      ],
      selected: null,
    };
  },
  mounted() {
    this.$store.commit("catalog/setCards");
  },
};
</script>
<style>
.catalog {
  padding-top: 32px;
}
</style>
